Start Subscription Checkout
Creates a Stripe Checkout Session for this org to subscribe to plan_id. Does not create a Subscription row itself - that happens once Stripe confirms payment via the checkout.session.completed webhook.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscription/checkout" \ -H "Content-Type: application/json" \ -d '{ "plan_id": "00713021-9aea-41da-9a88-87760c08fa72", "success_url": "string", "cancel_url": "string" }'{ "checkout_url": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}